# Visualization
TKV2d
AIS2D

# AIS2D_DataMapIteratorOfDataMapOfIOStatus Class Reference

`#include <AIS2D_DataMapIteratorOfDataMapOfIOStatus.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | AIS2D_DataMapIteratorOfDataMapOfIOStatus ()
Standard_EXPORT | AIS2D_DataMapIteratorOfDataMapOfIOStatus (const AIS2D_DataMapOfIOStatus &aMap)
Standard_EXPORT void | Initialize (const AIS2D_DataMapOfIOStatus &aMap)
Standard_EXPORT const Handle_AIS2D_InteractiveObject & | Key () const
Standard_EXPORT const Handle_AIS2D_GlobalStatus & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_DataMapIteratorOfDataMapOfIOStatus::AIS2D_DataMapIteratorOfDataMapOfIOStatus | ( |  | ) |

Standard_EXPORT AIS2D_DataMapIteratorOfDataMapOfIOStatus::AIS2D_DataMapIteratorOfDataMapOfIOStatus | ( | const AIS2D_DataMapOfIOStatus & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void AIS2D_DataMapIteratorOfDataMapOfIOStatus::Initialize | ( | const AIS2D_DataMapOfIOStatus & | aMap | ) |

Standard_EXPORT const Handle_AIS2D_InteractiveObject& AIS2D_DataMapIteratorOfDataMapOfIOStatus::Key | ( |  | ) | const

void AIS2D_DataMapIteratorOfDataMapOfIOStatus::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS2D_DataMapIteratorOfDataMapOfIOStatus::operator new | ( | size_t | size | ) | `[inline]`

void* AIS2D_DataMapIteratorOfDataMapOfIOStatus::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_AIS2D_GlobalStatus& AIS2D_DataMapIteratorOfDataMapOfIOStatus::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- AIS2D_DataMapIteratorOfDataMapOfIOStatus.hxx